curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/multiplatform-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "<string>",
"phone_number": "<string>",
"type": "PHONE_NUMBER",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'
{
"success": true,
"message": "Multiplatform check processed successfully",
"data": {
"multiplatform": {
"check": {
"message": {
"total": 9,
"detail": {
"A": {
"392aec": [
"20250711"
],
"89b67c": [
"20250822",
"20250823"
],
"9db06f": [
"20250311"
],
"b255f6": [
"20250711",
"20250730"
],
"b6f0b8": [
"20250711"
]
},
"B": {
"f2ead5": [
"20250708",
"20250711"
]
},
"C": {}
}
}
},
"meta": {
"inputPhoneNumber": "<string>",
"cleansedPhoneNumber": "<string>",
"referenceId": "<string>",
"requestedPackages": [
"MULTIPLATFORM_CHECK"
],
"inputType": "PHONE_NUMBER",
"inputPhoneDefaultCountryCode": "ID"
}
}
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "multiplatform_check",
"metadata": null,
"createdAt": "<string>"
}
Alternative Verifications
Multiplatform Check
Check financial inquiry history across platforms for an Indonesian identity using a phone number or Indonesian ID.
POST
/
api
/
v3
/
verifications
/
multiplatform-check
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/multiplatform-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_code": "<string>",
"phone_number": "<string>",
"type": "PHONE_NUMBER",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'
{
"success": true,
"message": "Multiplatform check processed successfully",
"data": {
"multiplatform": {
"check": {
"message": {
"total": 9,
"detail": {
"A": {
"392aec": [
"20250711"
],
"89b67c": [
"20250822",
"20250823"
],
"9db06f": [
"20250311"
],
"b255f6": [
"20250711",
"20250730"
],
"b6f0b8": [
"20250711"
]
},
"B": {
"f2ead5": [
"20250708",
"20250711"
]
},
"C": {}
}
}
},
"meta": {
"inputPhoneNumber": "<string>",
"cleansedPhoneNumber": "<string>",
"referenceId": "<string>",
"requestedPackages": [
"MULTIPLATFORM_CHECK"
],
"inputType": "PHONE_NUMBER",
"inputPhoneDefaultCountryCode": "ID"
}
}
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "multiplatform_check",
"metadata": null,
"createdAt": "<string>"
}
Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
application/json
- Option 1
- Option 2
Country calling code for the phone number. Example: +62 for Indonesia.
Phone number without the country code prefix.
Set to PHONE_NUMBER when submitting a phone number.
Available options:
PHONE_NUMBER Identifier used to categorize or group requests for tracking or reporting.
A unique ID used to identify your verification request.
Response
200 - application/json
Multiplatform check processed successfully
Multiplatform inquiry results for the submitted identity input.
Show child attributes
Show child attributes
Timestamp when the verification was created.

